<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="CSEasyWMDefinitionInsertTag.aspx.vb" Inherits="CSEasyWM.CSEasyWMDefinitionInsertTag" %>
<%@ register tagprefix="ex" namespace="Exact.Web.UI.Controls" assembly="Exact.Web.UI.Controls" %>
<html>
<head>
	<meta name="save" content="history" />
	<link rel="stylesheet" type="text/css" href="Exact.css" />
    <script language="javascript" type="text/javascript" src="jquery.js"></script>
    <script language="javascript" type="text/javascript" src="CSEasyWMDefinitionPopup.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $('#ListColumns_Header td').css('cursor', 'pointer');

            $('#ListColumns_Header td').click(function () {
                var a = '[' + $(this).parent().find('td:first').text() + ']';
                ClosePopupWithTag(a);
            });
        });

        function ClosePopupWithTag(tag) {
            var r;
            if (tag != '')
                r = new Array(tag);
            else
                r = new Array();

            if (opener && !opener.closed) {
                top.opener.SysDialog.returnValue = r;
                top.opener.SysDialog.returnFunc()
                window.close();
            }
            else {
                window.parent.returnValue = r;
                window.parent.SysCloseModalPopup();
            }
        }
    </script>
</head>
<body>

<ep:form id="frm" runat="server">

<ex:InputField runat="server" Hidden="True" ID="DefinitionID" ValidationAs="Guid" CreateClientControl="True" />

<ex:CardControl runat="server" ID="Card" Action="Show">
    <ex:Header runat="server" ID="hdr" Caption="Insert field code" CaptionID="421172" />

    <ex:ButtonBar runat="server" ID="Buttons">
        <ex:Button runat="server" ID="btnClose" ButtonStyle="Close" />
    </ex:ButtonBar>

    <ex:cardrow runat="server" id="cr">
	    <ex:cardcolumn runat="server" id="cc">
			<ex:cardlistview runat="server" id="csColumns" showheader="True" customizecolumns="False" customizerows="False">
				<ex:listview runat="server" id="ListColumns" caption="Columns" captionid="1253" showbutton="False" showpagesize="false" ongetdata="ListColumnsOnGetData" onquery="ListColumnsOnQuery" ruler="false">
                    <Columns>
                        <ex:listviewcolumn captionid="27288" caption="Alias" width="50%" />
                        <ex:listviewcolumn captionid="22703" caption="Column name" width="50%" />
                    </Columns>
				</ex:listview>
			</ex:cardlistview>

	    </ex:cardcolumn>
    </ex:cardrow>

</ex:CardControl>

</ep:form>
</body>
</html>
